Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07437 Gameplay Major Always Sep 26, 2019, 22:48 Sep 29, 2019, 20:48
Tester r4ytrace View Status Public Platform MAME (Official Binary)
Assigned To crazyc Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver x68k.cpp
Version 0.213 Fixed in Version 0.215 Build 64-bit
Summary MESS-specific 07437: x68000 [nemesis]: Nemesis 90 Kai - background tiles appear in foreground
Description In Nemsesis 90 Kai, tiles which are supposed to be background Z (i.e. distant parallax tiles) appear in foreground and block view of the player/Vic Viper
Steps To Reproduce it can be seen in the attract mode in the level with the columns and rocky textures, strangely the impressive waterfall level does not seem to exhibit it
Additional Information
Flags
Regression Version
Affected Sets / Systems x68000 [nemesis]
Attached Files
png file icon 2019-09-27 23_52_46-Start.png (10,122 bytes) Sep 27, 2019, 22:53 Uploaded by r4ytrace
X68M (proper depth order)
r4ytrace
png file icon 2019-09-27 23_52_57-Start.png (11,949 bytes) Sep 27, 2019, 22:55 Uploaded by r4ytrace
X68M (proper depth order)B
r4ytrace
png file icon 2019-09-27 23_53_03-Start.png (390,868 bytes) Sep 27, 2019, 22:55 Uploaded by r4ytrace
MAME depth order (Vic Viper behind background tile)
r4ytrace
png file icon 2019-09-27 23_53_12-Start.png (259,456 bytes) Sep 27, 2019, 22:56 Uploaded by r4ytrace
MAME depth (background tile overlapping middle tile)
r4ytrace
png file icon 2019-09-29 21_36_52-Start.png (403,498 bytes) Sep 29, 2019, 20:46 Uploaded by r4ytrace
Tile in proper place
r4ytrace
png file icon 2019-09-29 21_46_42-Start.png (699,308 bytes) Sep 29, 2019, 20:47 Uploaded by r4ytrace
Fixed - MAME running Nemesis 90 Kai (mame64.exe x68000 nemesis)
r4ytrace
Relationships
There are no relationship linked to this issue.
Notes
9
User avatar
No.16975
Tafoid
Administrator
Sep 26, 2019, 23:14
If you are reporting a graphical issue(s), please use the internal screenshot taker (f12) and upload that to illustrate the issue.
The game "nemesis" (the softlist entry) is listed has having preliminary support so if you can even boot it up, that is a bonus.
The driver is flagged as having graphical issues (warning when you start MAME), so if I'm to accept anything it has to be well documented especially in this case where there are known issues already with the driver and the game itself.
User avatar
No.16976
r4ytrace
Tester
Sep 27, 2019, 10:10
edited on: Sep 27, 2019, 10:11
sorry - I shall post a vid or image over the weekend

I will get an image of it running in XM6 (which I believe is running it correctly) and one of it running in MAME for comparison for you
User avatar
No.16983
crazyc
Developer
Sep 27, 2019, 20:18
This is fixed with https://github.com/mamedev/mame/commit/afe6d421aed12cf50fa175da2e3c18adf7af6f95
User avatar
No.16984
r4ytrace
Tester
Sep 27, 2019, 22:31
someone told me on fb MAME group that 0.215 has a fix in it that may fix it - do you still need me to get my screen shots?
User avatar
No.16985
Tafoid
Administrator
Sep 28, 2019, 01:30
This is good for a record of what was fixed. Thanks for uploading.
User avatar
No.16986
r4ytrace
Tester
Sep 28, 2019, 01:51
no problem at all :) - im useless at compiling - so will I wait till 0.215 comes out to be able to see it in action?
User avatar
No.16987
Tafoid
Administrator
Sep 28, 2019, 02:15
There is a site which does nightly builds but not every day nor can it be used for reporting bugs (only integer released mamedev.org binaries are accepted).
http://ashura.mameworld.info/nightlybuilds/builds.html
User avatar
No.16988
r4ytrace
Tester
Sep 28, 2019, 11:27
cool thanks
User avatar
No.16992
r4ytrace
Tester
Sep 29, 2019, 20:48
definitely fixed as of below nightly build:

29/09/2019-14:15 - GIT log: 3694c847bf72a0dcab07f5b07870278d9a00f845 - MAME ver 0.214